> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/ios/standalone-modules/caffaceliveness/installation.md).

# Installation

To integrate the **CafFaceliveness SDK** into your iOS project, you can use either **Swift Package Manager (SPM)** or **CocoaPods**. Below are the detailed instructions for both methods.

## Requirements

* **iOS Version**: 13.0 or higher
* **Xcode Version**: 15.4 or higher
* **Swift Version**: 5.10 or higher
* **CAF Mobile Token**: A valid [CAF mobileToken](https://github.com/combateafraude/public-docs/blob/docs-sdks/ios/standalone-modules/caffaceliveness/broken-reference/README.md)

## Installation

### Swift Package Manager (SPM)

1. **Open your project in Xcode**.
2. **Navigate to** `File` > `Add Packages...`.
3. **Enter the repository URL**: `https://github.com/combateafraude/caf-ios-sdk`
4. **Select the CafFaceliveness or Optional Providers** you wish to integrate.
5. **Complete the integration** by following the prompts.

### CocoaPods

1. **Ensure CocoaPods is installed** on your system. If not, install it using:

```bash
   sudo gem install cocoapods
```

2. Navigate to your project directory in the terminal.
3. Create or update your Podfile with the following content:

```bash
   platform :ios, '13.0'
    use_frameworks!

    target 'YourAppTarget' do
        # Only CafFaceLiveness
        pod 'CafSDK/CafFaceLiveness'

        # Optional iProov provider (if you are only going to use this provider in your implementation)
        pod 'CafSDK/IproovProvider'

        # Optional FaceTec 2D provider (if you are only going to use this provider in your implementation)
        pod 'CafSDK/FaceTec2DProvider'
    end
```

4. Install the pod by running:

```bash
pod install
```

5. Open the generated .xcworkspace file to work on your project.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/ios/standalone-modules/caffaceliveness/installation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
